Package com.databricks.jdbc.model.client.thrift.generated

## Enum TCloudFetchDisabledReason

- java.lang.Object
- - java.lang.Enum<TCloudFetchDisabledReason>
  - - com.databricks.jdbc.model.client.thrift.generated.TCloudFetchDisabledReason

All Implemented Interfaces:
  `Serializable`, `Comparable<TCloudFetchDisabledReason>`, `org.apache.thrift.TEnum`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public enum TCloudFetchDisabledReason
    extends Enum<TCloudFetchDisabledReason>
    implements org.apache.thrift.TEnum

### Enum Constant Summary

Enum Constants
`ARROW_SUPPORT`
`BLOCKLISTED_OPERATION`
`CLOUD_FETCH_SUPPORT`
`CUSTOMER_STORAGE_SUPPORT`
`METADATA_OPERATION`
`PROTOCOL_VERSION`
`REGION_SUPPORT`
`SMALL_RESULT_SIZE`
`UNKNOWN`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TCloudFetchDisabledReason` `findByValue​(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
`int` `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
`static TCloudFetchDisabledReason` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TCloudFetchDisabledReason[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ARROW_SUPPORT

    public static final TCloudFetchDisabledReason ARROW_SUPPORT

#### CLOUD_FETCH_SUPPORT

    public static final TCloudFetchDisabledReason CLOUD_FETCH_SUPPORT

#### PROTOCOL_VERSION

    public static final TCloudFetchDisabledReason PROTOCOL_VERSION

#### REGION_SUPPORT

    public static final TCloudFetchDisabledReason REGION_SUPPORT

#### BLOCKLISTED_OPERATION

    public static final TCloudFetchDisabledReason BLOCKLISTED_OPERATION

#### SMALL_RESULT_SIZE

    public static final TCloudFetchDisabledReason SMALL_RESULT_SIZE

#### CUSTOMER_STORAGE_SUPPORT

    public static final TCloudFetchDisabledReason CUSTOMER_STORAGE_SUPPORT

#### UNKNOWN

    public static final TCloudFetchDisabledReason UNKNOWN

#### METADATA_OPERATION

    public static final TCloudFetchDisabledReason METADATA_OPERATION

### Method Detail

#### values

    public static TCloudFetchDisabledReason[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TCloudFetchDisabledReason c : TCloudFetchDisabledReason.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TCloudFetchDisabledReason valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Get the integer value of this enum value, as defined in the Thrift IDL.

Specified by:
  `getValue` in interface `org.apache.thrift.TEnum`

#### findByValue

    public static TCloudFetchDisabledReason findByValue​(int value)

Find a the enum type by its integer value, as defined in the Thrift IDL.

Returns:
  null if the value is not found.